Verified Commit 375b457e authored by Pierre-Louis Bonicoli's avatar Pierre-Louis Bonicoli 🏗
Browse files

Allow to test using Python 3.7

The following command can be used in order to test either Python 3.7 or
Python 3.8:

    tox -e py3-ansible29-molecule-docker
parent 91825e5a
......@@ -168,13 +168,13 @@ burp_clients:
# Functional tests
The tests require `tox` and either Docker or Kubernetes.
The tests require Python 3.7 or Python 3.8, `tox` and either Docker or Kubernetes.
## Docker
The following command allows to run the tests using Docker:
tox -e py38-ansible29-molecule-docker
tox -e py3-ansible29-molecule-docker
## Kubernetes
......@@ -186,8 +186,8 @@ The following command allows to run the tests using Docker:
With Kubernetes, the following command allows to run the tests:
tox -e py38-ansible29-molecule-k8s
tox -e py3-ansible29-molecule-k8s
The following command can be used in order to specify the path of the `kubeconfig` file:
KUBECONFIG=/path/to/kubeconfig.yaml TOX_TESTENV_PASSENV=KUBECONFIG tox -e py38-ansible29-molecule-k8s
KUBECONFIG=/path/to/kubeconfig.yaml TOX_TESTENV_PASSENV=KUBECONFIG tox -e py3-ansible29-molecule-k8s
[tox]
minversion = 3.9.0
envlist =
py38-ansible29-molecule-{docker,k8s}
py{37,38}-ansible29-molecule-{docker,k8s}
skipdist = True
skip_missing_interpreters = True
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment